/* ----  IMPORTS  ---- */
@import url("https://fonts.googleapis.com/css?family=Ubuntu&display=swap")
@import url("/fonts/ProximaNova/stylesheet.css")

/* ---- VARIABLES ---- */
$color-dark : #45525d
$color-green: #27d17b
$color-light: #e5e6ea
$color-white: #ffffff

/* ---- MAIN PART ---- */
html, body, .App
    height: 98vh
    overflow: hidden
    color: $color-dark
header, footer
    background-color: $color-white
.Timeline
    background-color: $color-white

.App
    display: flex
    flex-direction: column
    justify-content: space-between

    header
        font-family: monospace
        align-self: flex-start
        font-family: "Ubuntu"
        margin-bottom: 2em
        .first-word
            font-size: 3em
            font-weight: bold
        .second-word
            font-size: 1.5em
            font-weight: lighter


    footer
        align-self: center
    
    main
        flex-basis: auto
        flex-grow: 1
        flex-shrink: 1

        display: flex
        flex-direction: row

        .Timeline
            flex-basis: 100vw
            order: 1

        .Profile
            #button-logout
                position: absolute
                top: 3em
                right: 3em
                color: green

        .right-side
            order: 0
            display: flex
            flex-flow: column
            background-color: $color-light
            padding: 1.5em 3em;

        .HostList
            flex-basis: 10em
            flex-grow: 1
            flex-shrink: 1
            overflow: scroll
            display: block

            .Host
                border-radius: 1em
                margin-top: 2em
                background-color: $color-dark
                color: $color-white
                padding: .25em

                display: flex
                flex-direction: row

                &:hover
                    color: $color-green
                    cursor: pointer

                .status
                    margin-right: 1em
                    border-radius: 1em
                    width: 1em
                    height: 1em
                .status-offline
                    background-color: red
                .status-online
                    background-color: $color-green



.interface-button
    width: 3em
    height: 3em
    background-size: contain
.button-edit
    background-color: gray
    background-image: url("/img/edit.png")
.button-done
    background-color: lightgreen
    background-image: url("/img/done.png")
.button-add
    background-color: gray
    background-image: url("/img/add.png")
.button-delete
    background-color: gray
    background-image: url("/img/delete.png")
.button-delete-confirm
    background-color: red
    background-image: url("/img/delete.png")
.button-wakeonlan
    background-color: gray
    background-image: url("/img/wakeonlan.png")
.button-queue
    background-color: gray
    background-image: url("/img/queue.png")
